%define anolis_release 2

Name:		gnome-online-accounts
Version:	3.48.0
Release:        %{anolis_release}%{dist}
Summary:	Single sign-on framework for GNOME

License:	LGPLv2+
URL:		https://wiki.gnome.org/Projects/GnomeOnlineAccounts
Source0:	https://download.gnome.org/sources/gnome-online-accounts/3.48/%{name}-%{version}.tar.xz

BuildRequires: meson >= 0.57.0
BuildRequires: gettext
BuildRequires: gtk-doc
BuildRequires: vala
BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(gcr-3)
BuildRequires: pkgconfig(gio-2.0) >= 2.67.4
BuildRequires: pkgconfig(gio-unix-2.0) >= 2.67.4
BuildRequires: pkgconfig(glib-2.0) >= 2.67.4
BuildRequires: pkgconfig(gobject-introspection-1.0) >= 0.6.2
BuildRequires: pkgconfig(gtk+-3.0) >= 3.19.12
BuildRequires: pkgconfig(javascriptcoregtk-4.1) >= 2.33.1
BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(krb5)
BuildRequires: pkgconfig(libsecret-1)
BuildRequires: pkgconfig(libsoup-3.0) >= 3.0
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(rest-1.0) >= 0.9.0
BuildRequires: pkgconfig(webkit2gtk-4.1) >= 2.33.1

Requires:	glib2 >= 2.67.4
Requires:	gtk3 >= 3.19.12
Requires:	libsoup3 >= 3.0
Requires:	webkit2gtk4.1 >= 2.33.1

%description
GNOME Online Accounts provides interfaces so that applications and libraries
in GNOME can access the user's online accounts. It has providers for Google,
Nextcloud, Flickr, Foursquare, Microsoft Account, Microsoft Exchange,
IMAP/SMTP and Kerberos.

%package devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q

%build
%meson -Dfedora=false -Dman=true -Dgtk_doc=true
%meson_build

%install
%meson_install

%find_lang %{name}

%generate_compatibility_deps

%files -f %{name}.lang
%license COPYING
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Goa-1.0.typelib
%{_libdir}/libgoa-1.0.so.0*
%{_libdir}/libgoa-backend-1.0.so.1*
%dir %{_libdir}/goa-1.0
%dir %{_libdir}/goa-1.0/web-extensions
%{_libdir}/goa-1.0/web-extensions/libgoawebextension.so
%{_prefix}/libexec/goa-daemon
%{_prefix}/libexec/goa-identity-service
%{_datadir}/dbus-1/services/org.gnome.OnlineAccounts.service
%{_datadir}/dbus-1/services/org.gnome.Identity.service
%{_datadir}/icons/hicolor/*/apps/goa-*.svg
%{_mandir}/man8/goa-daemon.8*
%{_datadir}/glib-2.0/schemas/org.gnome.online-accounts.gschema.xml

%dir %{abidir}
%{abidir}/libgoa-1.0.dump
%{abidir}/libgoa-backend-1.0.dump
%{abidir}/libgoawebextension.dump

%files devel
%{_includedir}/goa-1.0/
%{_libdir}/libgoa-1.0.so
%{_libdir}/libgoa-backend-1.0.so
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Goa-1.0.gir
%{_libdir}/pkgconfig/goa-1.0.pc
%{_libdir}/pkgconfig/goa-backend-1.0.pc
%{_libdir}/goa-1.0/include
%{_datadir}/vala/

%files doc
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/goa/

%changelog
* Mon Dec 09 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.48.0-2
- Rebuild for remove inappropriate build dependencies.

* Sun Mar 26 2023 Funda Wang <fundawang@yeah.net> - 3.48.0-1
- New version 3.48.0

* Mon Mar 20 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 3.44.0-1
- Init package from upstream
